package org.processmining.models.connections.bpmn;

import org.processmining.framework.connections.impl.AbstractConnection;
import org.processmining.models.flexiblemodel.Flex;
import org.processmining.models.heuristics.HeuristicsNet;

/**
 * @author ibayraktar
 * 
 */
public class FlexHNConnection extends AbstractConnection {
	public final static String HeuristicsNet = "HeuristicsNet";
	public final static String FLEX = "Flex";
	
	public FlexHNConnection(String label, HeuristicsNet hn, Flex flex) {
		super(label);
		put(FLEX, flex);
		put(HeuristicsNet, hn);
	}
}