package org.processmining.models.connections.bpmn.analysis;

import org.processmining.framework.connections.impl.AbstractConnection;
import org.processmining.models.flexiblemodel.Flex;
import org.processmining.models.graphbased.directed.bpmn.BPMNDiagram;
import org.processmining.plugins.bpmn.analysis.data.BPMNAnalysisDataList;

/**
 * @author ibayraktar
 * 
 */
public class BPMNAnalysisConnection extends AbstractConnection {
	public final static String BPMNDiagram = "BPMNDiagram";
	public final static String FLEX = "Flex";
	public final static String BPMN_FLEX_NODE_MAP = "BPMN_FLEX_NODE_MAP";
	public final static String STARTTASKNODESET = "StartTaskNodesSet";
	public final static String LOG = "Log";
	public final static String BPMNAnalysisList = "BPMNAnalysisList";

	public BPMNAnalysisConnection(String label, BPMNDiagram bpmnDiagram, Flex flex, BPMNAnalysisDataList BPMNAnalysisDataList) {
		super(label);
		put(FLEX, flex);
		put(BPMNDiagram, bpmnDiagram);
		put(BPMNAnalysisList, BPMNAnalysisDataList);
		
	}
}