package org.processmining.models.connections.bpmn;

import org.processmining.framework.connections.impl.AbstractConnection;
import org.processmining.models.flexiblemodel.Flex;
import org.processmining.models.graphbased.directed.bpmn.BPMNDiagram;

/**
 * @author ibayraktar
 * 
 */
public class BPMNFlexConnection extends AbstractConnection {
	public final static String BPMNDiagram = "BPMNDiagram";
	public final static String Flex = "Flex";


	public BPMNFlexConnection(String label, BPMNDiagram bpmn, Flex flex) {
		super(label);
		put(BPMNDiagram, bpmn);
		put(Flex, flex);
	}
}