/**
 * 
 */
package org.processmining.plugins.bpmn.analysis.pn.decorators;

import java.awt.Color;

/**
 * @author ibayraktar
 *
 */
public class GatewayDecoratorData {
	private String name;
	
	private int frequency = 0;
	private double caseInvolvementRatio = 0;
	
	private Color syncColor = Color.GREEN;

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return the frequency
	 */
	public int getFrequency() {
		return frequency;
	}
	/**
	 * @param frequency the frequency to set
	 */
	public void setFrequency(int frequency) {
		this.frequency = frequency;
	}
	/**
	 * @return the syncColor
	 */
	public Color getSyncColor() {
		return syncColor;
	}
	/**
	 * @return the caseInvolvementRatio
	 */
	public double getCaseInvolvementRatio() {
		return caseInvolvementRatio;
	}
	/**
	 * @param caseInvolvementRatio the caseInvolvementRatio to set
	 */
	public void setCaseInvolvementRatio(double caseInvolvementRatio) {
		this.caseInvolvementRatio = caseInvolvementRatio;
	}
	/**
	 * @param syncColor the syncColor to set
	 */
	public void setSyncColor(Color syncColor) {
		this.syncColor = syncColor;
	}
	public void incFrequency() {
		this.frequency++;
	}
	
	public String getLabel() {
		return name;
	}
}
